[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: install kate (4.13.1 , testing) in debian stable



Am Donnerstag, 26. Juni 2014, 18:54:50 schrieb sppmg:
> Hi all
> 
> I want install kate 4.13.1 in debian stable, but the kde is 4.8 in
> debian stable .
> 
> I followed kate official tutorial (http://kate-editor.org/get-it/) ,and
> get source by git and apt-get source.
> but I always get 4.8 version kate after compile.
> 
> Why ? And what can I do ?

You need to tell your KDE session to look into the directories where you 
compiled kate too. I install compiled stuff to /usr/local and use a quite 
minimal approach that with KDE Runtime 4.11 and back then KDE Applications 
4.12 base install, now 4.13 works for me to testing master branch of KDEPIM 
and Akonadi related stuff.

martin@merkaba:~/.kde/env> cat kdedirs.sh 
#!/bin/bash
if [ -z $KDEDIRS ]; then
        export KDEDIRS="/usr/local/"
else
        export KDEDIRS="/usr/local/:$KDEDIRS"
fi

if [ -z $QT_PLUGIN_PATH ]; then
        export QT_PLUGIN_PATH="/usr/local/lib/kde4"
else
        export QT_PLUGIN_PATH="/usr/local/lib/kde4:$QT_PLUGIN_PATH"
fi

There are guides for setting up a KDE development environment on 
techbase.kde.org. I suggest you read those.

Alternative upgrade to Jessie/Testing:

martin@merkaba:~> rmadison kate | cut -c 1-70
 kate | 4:4.4.5-1  | squeeze | amd64, armel, i386, ia64, kfreebsd-amd6
 kate | 4:4.8.4-1  | wheezy  | source, amd64, armel, armhf, i386, ia64
 kate | 4:4.13.1-2 | jessie  | source, amd64, armel, armhf, i386, kfre
 kate | 4:4.13.1-2 | sid     | source, amd64, armel, armhf, hurd-i386,

Yes that is testing and there might be issues at times, but in generally I am 
quite satisfied.


Also note that this question is not really Debian specific but upstream 
related. And that there is a debian-kde mailinglist for KDE specific things on 
Debian.

Ciao,
-- 
Martin 'Helios' Steigerwald - http://www.Lichtvoll.de
GPG: 03B0 0D6C 0040 0710 4AFA  B82F 991B EAAC A599 84C7


Reply to: